Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QUrl.ParsingMode

    java.lang.Object
      java.lang.Enum<QUrl.ParsingMode>
          com.trolltech.qt.core.QUrl.ParsingMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QUrl.ParsingMode>

Enclosing class:
  QUrl

    public static enum QUrl.ParsingMode

extends java.lang.Enum<QUrl.ParsingMode>
implements QtEnumerator

The parsing mode controls the way `QUrl` parses strings.

In `TolerantMode`, the parser corrects the following invalid input:

- Spaces and "%20": If an encoded URL contains a space, this will be replaced with "%20". If a decoded URL contains "%20", this will be replaced with a single space before the URL is parsed.
- Single "%" characters: Any occurrences of a percent character "%" not followed by exactly two hexadecimal characters (e.g., "13% coverage.html") will be replaced by "%25".
- Non-US-ASCII characters: An encoded URL should only contain US-ASCII characters. In `TolerantMode`, characters outside this range are automatically percent-encoded.
- Any occurrence of "[" and "]" following the host part of the URL is percent-encoded.

Enum Constant Summary
`StrictMode` Only valid URLs are accepted.
`TolerantMode` `QUrl` will try to correct some common errors in URLs.

Method Summary
`static QUrl.ParsingMode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QUrl.ParsingMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QUrl.ParsingMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TolerantMode

    public static final QUrl.ParsingMode TolerantMode

  `QUrl` will try to correct some common errors in URLs. This mode is useful when processing URLs entered by users.

### StrictMode

    public static final QUrl.ParsingMode StrictMode

  Only valid URLs are accepted. This mode is useful for general URL validation.

Method Detail

### values

    public static final QUrl.ParsingMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QUrl.ParsingMode c : QUrl.ParsingMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QUrl.ParsingMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QUrl.ParsingMode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD